#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	nano
Version		:	7.2
Release		:	14.4.0.0%{?dist}
Summary		:	A small text editor
Group		:	Applications/Editors

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.nano-editor.org

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
GNU nano is a small and friendly text editor. Besides basic text
editing, nano offers many extra features, such as an interactive
search-and-replace, undo/redo, syntax coloring, smooth scrolling,
auto-indentation, go-to-line-and-column-number, feature toggles,
file locking, backup files, and internationalization support. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_bindir}/r%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_defaultdocdir}/%{name}-%{version}/*.html
%{_infodir}/%{name}.info.gz
%{_datadir}/%{name}/*.%{name}rc
%{_datadir}/%{name}/extra/*.%{name}rc
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--enable-utf8					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
cp -a 							\
	doc/sample.%{name}rc				\
	%{buildroot}%{_sysconfdir}/%{name}rc

%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
